# =======================
# Shiro INI configuration
# =======================

[main]
# Objects and their properties are defined here, 
# Such as the securityManager, Realms and anything
# else needed to build the SecurityManager

realm = net.brutex.xservices.security.XServicesRealm
securityManager.realms = $realm

authcBasic = org.apache.shiro.web.filter.authc.BasicHttpAuthenticationFilter

[users]
# The 'users' section is for simple deployments
# when you only need a small number of statically-defined 
# set of User accounts.
# Format: user = password, role1, role2, ...

admin = , Administrator
brian = brian, Administrator


[roles]
# The 'roles' section is for simple deployments
# when you only need a small number of statically-defined
# roles.

#Administrator = c:/t*/*, c:/windows/*, d:/**/VIDEO, C:/Users/brosenberger/**, d:/data/**, c:/**
Administrator = c:/TEMP/**, XmlService||test

[urls]
# The 'urls' section is used for url-based security
# in web applications.  We'll discuss this section in the
# Web documentation

/ArchiveService = anon
/DateService = anon
/ExecuteService = anon
/FileService = anon
/JobService = anon
/MailService = anon
/MiscService = anon
/StorageService = anon
/StringService = anon
/XmlService = anon

/** = authcBasic
#/** = anon

#Default filters
#Filter Name	 Class
#anon		org.apache.shiro.web.filter.authc.AnonymousFilter
#authc		org.apache.shiro.web.filter.authc.FormAuthenticationFilter
#authcBasic	org.apache.shiro.web.filter.authc.BasicHttpAuthenticationFilter
#logout		org.apache.shiro.web.filter.authc.LogoutFilter
#noSessionCreation	org.apache.shiro.web.filter.session.NoSessionCreationFilter
#perms		org.apache.shiro.web.filter.authz.PermissionsAuthorizationFilter
#port		org.apache.shiro.web.filter.authz.PortFilter
#rest		org.apache.shiro.web.filter.authz.HttpMethodPermissionFilter
#roles		org.apache.shiro.web.filter.authz.RolesAuthorizationFilter
#ssl		org.apache.shiro.web.filter.authz.SslFilter
#user		org.apache.shiro.web.filter.authc.UserFilter